Skip to main content
POST
/
customers
/
{customerID}
/
liquidation_addresses
Create a Liquidation Address
curl --request POST \
  --url https://api.bridge.xyz/v0/customers/{customerID}/liquidation_addresses \
  --header 'Api-Key: <api-key>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "currency": "usdb",
  "chain": "arbitrum",
  "external_account_id": "<string>",
  "prefunded_account_id": "<string>",
  "bridge_wallet_id": "<string>",
  "destination_wire_message": "<string>",
  "destination_sepa_reference": "<string>",
  "destination_ach_reference": "<string>",
  "destination_spei_reference": "<string>",
  "destination_reference": "<string>",
  "destination_payment_rail": "ach",
  "destination_currency": "brl",
  "destination_address": "<string>",
  "destination_blockchain_memo": "<string>",
  "return_address": "<string>",
  "custom_developer_fee_percent": "0.1",
  "travel_rule_data": {
    "originator": {
      "name": "Jane Smith",
      "address": {
        "street_line_1": "123 Market St",
        "street_line_2": null,
        "city": "San Francisco",
        "state": "CA",
        "postal_code": "94105",
        "country": "USA"
      },
      "identifying_information": {
        "type": "national_id",
        "number": "1234567890",
        "issuing_country": "USA"
      },
      "birth_date": "2000-01-31",
      "place_of_birth": {
        "city": "San Francisco",
        "country": "USA"
      },
      "wallet_type": "self_custodied",
      "wallet_attested_ownership_at": "2026-04-01T12:00:00Z"
    },
    "beneficiary": {
      "is_self": true,
      "wallet_type": "external"
    }
  }
}
'
{ "id": "la_123", "chain": "ethereum", "customer_id": "cust_123", "external_account_id": "ext_123", "address": "0x4d0280da2f2fDA5103914bCc5aad114743152A9c", "currency": "usdc", "state": "active", "created_at": "2023-11-22T21:31:30.515Z", "updated_at": "2023-11-22T21:31:30.515Z" }

Documentation Index

Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Api-Key
string
header
required

Headers

Idempotency-Key
string
required

Path Parameters

customerID
string
required

A UUID that uniquely identifies a resource

Required string length: 1 - 42
Pattern: [a-z0-9]*

Body

application/json

Liquidation Address object to be created

currency
enum<string>
required
Available options:
usdb,
usdc,
usdt,
dai,
pyusd,
eurc
chain
enum<string>
required
Available options:
arbitrum,
avalanche_c_chain,
base,
celo,
ethereum,
optimism,
polygon,
solana,
stellar,
tempo,
tron,
evm
external_account_id
string

External bank account to which Bridge will send the funds. The currency associated with the External Account must match the destination currency.

Required string length: 1 - 42
Pattern: [a-z0-9]*
prefunded_account_id
string

The developer's prefunded account id that Bridge will send the funds to.

Required string length: 1 - 42
Pattern: [a-z0-9]*
bridge_wallet_id
string

The Bridge Wallet to which Bridge will send the funds. The chain associated with the Bridge Wallet must match the payment rail.

Required string length: 1 - 42
Pattern: [a-z0-9]*
destination_wire_message
string

A message to be sent with a wire transfer. It can have up to 140 characters. This message will be validated against 4 lines, each with a max length of 35 characters according to the Fedwire standard.

Required string length: 1 - 256
destination_sepa_reference
string

A reference message to be sent with a SEPA transaction. We recommend you set a unique value to help you and your customers track payments end to end. It must be from 6 to 140 characters. The allowed characters are a-z, A-Z, 0-9, spaces, ampersand (&), hyphen (-), full stop (.), and solidus (/). If not populated, the default value is "Payment via Bridge {unique_token}".

Required string length: 6 - 140
destination_ach_reference
string

A reference message to be sent with an ACH transaction. It can be at most 10 characters, A-Z, a-z, 0-9, and spaces.

Required string length: 1 - 10
destination_spei_reference
string

A payment reference message or remittance information to be included in a SPEI transaction. The allowed characters are alphanumeric a-z, A-Z, 0-9, and space

Required string length: 1 - 40
destination_reference
string

A payment reference message for newer payment rails (e.g. Pix and Faster Payments).

destination_payment_rail
enum<string>

The payment rail that Bridge will use to send funds to the customer. Will default to ACH if not specified.

Available options:
ach,
wire,
ach_push,
ach_same_day,
arbitrum,
avalanche_c_chain,
base,
bre_b,
co_bank_transfer,
celo,
ethereum,
faster_payments,
fiat_deposit_return,
optimism,
pix,
polygon,
sepa,
solana,
spei,
stellar,
swift,
tempo,
tron
destination_currency
enum<string>

The currency that Bridge will use to send funds to the customer. Will default to USD if not specified.

Available options:
brl,
cop,
dai,
eur,
eurc,
gbp,
mxn,
pyusd,
usd,
usdb,
usdc,
usdt
destination_address
string

The crypto wallet address that Bridge will use to send funds to the customer.

destination_blockchain_memo
string

The memo to include in the transaction, for blockchains that support memos only

return_address
string

The crypto wallet address that Bridge will use to return funds to the customer in case of a failed transaction. This address must be on the same chain specified for the liquidation address. Please note, this functionality is not supported on Stellar.

custom_developer_fee_percent
string<number> | null

The developer fee percent that will be applied to this Liquidation Address or null to use the default fee. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.

Example:

"0.1"

travel_rule_data
object

Travel Rule data for this liquidation address. Use this only when the same originator or beneficiary should apply to every future movement through this liquidation address. If counterparties can vary by deposit or drain, submit the payload later with POST /travel_rule_data/{id} for the relevant movement.

Example:
{
  "originator": {
    "name": "Jane Smith",
    "address": {
      "street_line_1": "123 Market St",
      "street_line_2": null,
      "city": "San Francisco",
      "state": "CA",
      "postal_code": "94105",
      "country": "USA"
    },
    "identifying_information": {
      "type": "national_id",
      "number": "1234567890",
      "issuing_country": "USA"
    },
    "birth_date": "2000-01-31",
    "place_of_birth": { "city": "San Francisco", "country": "USA" },
    "wallet_type": "self_custodied",
    "wallet_attested_ownership_at": "2026-04-01T12:00:00Z"
  },
  "beneficiary": {
    "is_self": true,
    "wallet_type": "external"
  }
}

Response

Liquidation Address object created

currency
enum<string>
required
Available options:
usdb,
usdc,
usdt,
dai,
pyusd,
eurc
chain
enum<string>
required
Available options:
arbitrum,
avalanche_c_chain,
base,
celo,
ethereum,
optimism,
polygon,
solana,
stellar,
tempo,
tron,
evm
destination_payment_rail
enum<string>
required

The payment rail that Bridge will use to send funds to the customer.

Available options:
ach,
wire,
ach_push,
ach_same_day,
arbitrum,
avalanche_c_chain,
base,
bre_b,
co_bank_transfer,
celo,
ethereum,
faster_payments,
fiat_deposit_return,
optimism,
pix,
polygon,
sepa,
solana,
spei,
stellar,
swift,
tempo,
tron
destination_currency
enum<string>
required

The currency that Bridge will use to send funds to the customer.

Available options:
brl,
cop,
dai,
eur,
eurc,
gbp,
mxn,
pyusd,
usd,
usdb,
usdc,
usdt
external_account_id
string

External bank account to which Bridge will send the funds.

Required string length: 1 - 42
Pattern: [a-z0-9]*
prefunded_account_id
string

The developer's prefunded account to which Bridge will send the funds.

Required string length: 1 - 42
Pattern: [a-z0-9]*
bridge_wallet_id
string

The Bridge Wallet to which Bridge will send the funds. The chain associated with the Bridge Wallet must match the payment rail.

Required string length: 1 - 42
Pattern: [a-z0-9]*
destination_wire_message
string

A message to be sent with a wire transfer.

Required string length: 1 - 256
destination_sepa_reference
string

A reference message to be sent with a SEPA transaction.

Required string length: 6 - 140
destination_ach_reference
string

A reference message to be sent with an ACH transaction. It can be at most 10 characters, A-Z, a-z, 0-9, and spaces.

Required string length: 1 - 10
destination_spei_reference
string

A payment reference message or remittance information to be included in a SPEI transaction. The allowed characters are alphanumeric a-z, A-Z, 0-9, and space

Required string length: 1 - 40
destination_reference
string

A payment reference message for newer payment rails (e.g. Pix and Faster Payments).

destination_address
string

The crypto wallet address that Bridge will use to send funds to the customer.

destination_blockchain_memo
string

The memo to include in the transaction, for blockchains that support memos only

return_address
string

The crypto wallet address that Bridge will use to return funds to the customer in case of a failed transaction. This address must be on the same chain specified for the liquidation address. Please note, this functionality is not supported on Stellar.

custom_developer_fee_percent
string<number> | null

The developer fee percent that will be applied to this Liquidation Address or null to use the default fee. The value is a base 100 percentage, i.e. 10.2% is 10.2 in the API.

Example:

"0.1"

travel_rule_data
object

Travel Rule data for this liquidation address. Use this only when the same originator or beneficiary should apply to every future movement through this liquidation address. If counterparties can vary by deposit or drain, submit the payload later with POST /travel_rule_data/{id} for the relevant movement.

Example:
{
  "originator": {
    "name": "Jane Smith",
    "address": {
      "street_line_1": "123 Market St",
      "street_line_2": null,
      "city": "San Francisco",
      "state": "CA",
      "postal_code": "94105",
      "country": "USA"
    },
    "identifying_information": {
      "type": "national_id",
      "number": "1234567890",
      "issuing_country": "USA"
    },
    "birth_date": "2000-01-31",
    "place_of_birth": { "city": "San Francisco", "country": "USA" },
    "wallet_type": "self_custodied",
    "wallet_attested_ownership_at": "2026-04-01T12:00:00Z"
  },
  "beneficiary": {
    "is_self": true,
    "wallet_type": "external"
  }
}
address
string

The blockchain address the customer will send funds to.

memoless_address
string

An alternative crypto wallet address that encodes the memo, allowing the customer to send funds without needing to include a separate memo. Currently only available for Stellar deposits.

state
string

The state of the liquidation address. It could be "active" or "deactivated"